JDK_HOME=/usr/java/jdk1.5.0_05/bin
JAR_HOME=/usr/java/jdk1.5.0_05/bin

test -f "${JDK_HOME}/javac"
if [ $? -ne 0 ]
then {

  echo "# javac est introuvable au chemin defini pour le JDK_HOME ($JDK_HOME) veuillez modifier la variable JDK_HOME #"
  exit

}
fi

test -f "${JAR_HOME}/jar"
if [ $? -ne 0 ]
then {

  echo "# jar est introuvable au chemin defini pour le JAR_HOME ($JAR_HOME) veuillez modifier la variable JAR_HOME #"
  exit

}
fi

DESTINATION=jar
test -d "${DESTINATION}" && rmdir "${DESTINATION}"
mkdir "${DESTINATION}"
cd src

"${JDK_HOME}"/javac -d "../${DESTINATION}" -classpath .:../lib/iaikPkcs11Wrapper.jar:../lib/log4j-1.2.16.jar -nowarn fr/asip/cps3/exemple/Lancement.java
cd ..
cp config/*.properties "${DESTINATION}"
cd "${DESTINATION}"
"${JAR_HOME}"/jar cmf "../MANIFEST.MF" programmeExempleCPS3.jar fr *.properties
cd ..
cp "${DESTINATION}/programmeExempleCPS3.jar" .
rm -fr "${DESTINATION}"
